
ALTER PROCEDURE [dbo].[ins_cnt_contratoDetalleVisita]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_contratoDetalleVisita varchar(300),
		@p_contratoDetalleVisita_codigo varchar(100),
		@p_frecuencia int,
		@p_cadaN int,
		@p_dia int,
		@p_estrategia int,
		@p_porTrabajo bit,
		@p_incluirMenores bit,
		@p_aproximarA int,
		@p_fecha_ff smalldatetime,
		@p_id_contrato int,
		@p_diaHabil int,
		@p_fechaInactivaFinal_ff Datetime, 
		@p_fechaInactivaInicial_ff  Datetime
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [cnt_contratoDetalleVisita]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[contratoDetalleVisita],
			[contratoDetalleVisita_codigo],
			[frecuencia],
			[cadaN],
			[dia],
			[estrategia],
			[porTrabajo],
			[incluirMenores],
			[aproximarA],
			[fecha_ff],
			[id_contrato],
			[diaHabil],
			[fechaInactivaFinal_ff], 
		    [fechaInactivaInicial_ff])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_contratoDetalleVisita,
			@p_contratoDetalleVisita_codigo,
			@p_frecuencia,
			@p_cadaN,
			@p_dia,
			@p_estrategia,
			@p_porTrabajo,
			@p_incluirMenores,
			@p_aproximarA,
			@p_fecha_ff,
			@p_id_contrato,
			@p_diaHabil,
			@p_fechaInactivaFinal_ff, 
		    @p_fechaInactivaInicial_ff)
		SET @v_id = scope_identity()
UPDATE [cnt_contratoDetalleVisita] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END